<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
BrowseForFolder Method (IEdmVault5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmVault5 Interface : BrowseForFolder Method (IEdmVault5)

Visual Basic
C#
C++/CLI

hParentWnd
  Parent window handle

bsMessage
  Message to display in the dialog box

Obsolete. Superseded by IEdmVault11::BrowseForFolder2 .

# Syntax

Visual Basic |
--- | ---

    Function BrowseForFolder( _
       ByVal hParentWnd As System.Integer, _
       ByVal bsMessage As System.String _
    ) As IEdmFolder5

C# |
--- | ---

    IEdmFolder5 BrowseForFolder(
       System.int hParentWnd,
       System.string bsMessage
    )

C++/CLI |
--- | ---

    IEdmFolder5^ BrowseForFolder(
    &   System.int hParentWnd,
    &   System.String^ bsMessage
    )

#### Parameters

hParentWnd
  Parent window handle
bsMessage
  Message to display in the dialog box

#### Return Value

IEdmFolder5; Null if the user clicks Cancel (see Remarks)

# Remarks

C++ users must release the returned interface, IEdmFolder5.

Return codes:

- S_OK: The method successfully executed.
- S_FALSE: The user clicked Cancel.
- E_EDM_NOT_LOGGED_IN: You must call IEdmVault5::Login or IEdmVault5::LoginAuto before calling this method.

# See Also

####

IEdmVault5 Interface
IEdmVault5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2